vkd3d (2.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add myself as uploader.

 -- Stephen Kitt <skitt@debian.org>  Sun, 30 Aug 2026 22:55:22 +0200

vkd3d (2.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Drop loong64, it’s not ready yet.
  * Bump to debhelper compatibility level 14.

 -- Stephen Kitt <skitt@debian.org>  Sun, 16 Aug 2026 19:44:03 +0200

vkd3d (2.0+ds-2) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * d/control: Add missing dependency libvkd3d-headers -> libvulkan-dev.
  * d/tests/control: Add missing dependencies for -dev test (Closes: #1142191).
  * d/tests/libvkd3d-dev: Use cross-compile-friendly executable names.

  [ Stephen Kitt ]
  * Limit builds to supportable architectures
    (Closes: #1142192, #1142193, #1142206, #1142299).
  * Build on loong64 (Closes: #1055135).

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Aug 2026 17:29:02 +0200

vkd3d (2.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1033733)

  [ Simon McVittie ]
  * New upstream releases 1.7, ..., 1.19
    - d/*.symbols: Update
    - d/control: Bump dependency on Vulkan-Headers as per configure.ac
    - d/control: Build-depend on bison and flex as per configure.ac
    - d/vkd3d-demos.install: Install new vkd3d-teapot demo
    - d/copyright: Update for files that are autogenerated since 1.13
    - d/copyright: Update copyright dates
  * Rebase patch series on upstream v1.16
    - d/p/fixes/nvidia.patch: Drop, equivalent to upstream commit
      64bd7f67 "tests: Mark WriteToSubresource test as todo on NVIDIA.".
    - d/p/fixes/byte-comparison.patch: Drop patch, no longer applies.
      If this is still necessary, then it should go upstream.
    - d/p/fixes/llvmpipe.patch: Drop patch.
      This was a workaround for what appears to have been a llvmpipe bug.
    - d/patches: Add timestamps to patches.
      Taken from debian/changelog for the appropriate releases.
  * d/rules: Stop enabling executable stack.
    This doesn't appear to have been necessary (Closes: #1101937)
  * d/rules: Stop renaming demos.
    Obsoleted by 8cc940df "build: Install the gears and triangle demos."
    upstream.
  * d/rules: Don't build Doxygen docs with dpkg-buildpackage -B,
    even if the Build-Depends-Indep happen to have been installed
  * d/control: Ensure that GL, Vulkan drivers are available to run the
    test suite. This gives us some test coverage, which is better than none.
  * d/rules: After running tests, show all test logs.
    The default terse output from Automake doesn't show us which parts of
    which tests were skipped.
  * d/rules:
    Behave as if the VK_EXT_fragment_shader_interlock was unsupported when
    running tests. Otherwise, rasteriser-ordered-views.shader_test fails
    when run on lavapipe, as a result of what is believed to be a bug
    in lavapipe's implementation of that extension.
  * d/vkd3d-compiler.install: Install vkd3d-dxbc, too
  * d/vkd3d-demos.install: Let the upstream build system install the demos
  * d/control, d/rules: Explicitly enable highlighted output from compiler
  * d/rules: Explicitly enable xcb support
  * d/.gitignore: Stop listing debian/control to be ignored.
    It was a generated file before 1.2-15, but is now source.
  * d/.gitignore: Ignore generated files in debian/
  * d/tests: Add superficial smoke-tests.
    These don't have much coverage, but they do make sure the compiler can
    be run and the libraries can be linked, which catches surprisingly many
    possible packaging errors.
  * d/control: Use non-transitional name for libxcb-util-dev
  * d/control: Build-depend on libjson-perl as per configure.ac
  * d/upstream/metadata: Switch URLs to WineHQ Gitlab
  * d/clean: Clean up files that exist in git but not in tarball releases
  * d/copyright: Update
  * d/copyright: Normalize order of excluded files

  [ Stephen Kitt ]
  * Drop the signing key, it uses SHA-1 which sqv doesn’t accept. See
    #1118154.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Build-depend on pkgconf instead of pkg-config.
  * Add a +ds suffix to indicate that the upstream tarball is repacked.
  * Drop the obsolete versioned dependency on dpkg.
  * Standards-Version 4.7.4, no further change required.

  [ Antonio Ospite ]
  * New upstream release 2.0
  * d/patches: Drop patches merged in upstream version 2.0

 -- Stephen Kitt <skitt@debian.org>  Tue, 14 Jul 2026 19:44:30 +0200

vkd3d (1.2-15) unstable; urgency=medium

  * Fix lintian warnings.
  * Enable link time optimization.
  * Build headers on any architecture (closes: #1017106).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Sep 2022 22:45:33 +0000

vkd3d (1.2-14) unstable; urgency=medium

  * Automatically update control file (closes: #1014663).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 Jul 2022 00:02:14 +0000

vkd3d (1.2-13) unstable; urgency=medium

  * Fix errors in doc-base file.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 04 Jul 2022 02:09:00 +0000

vkd3d (1.2-12) unstable; urgency=medium

  * Update standards version.
  * Drop s390x from the supported architectures (closes: #1010331).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Jun 2022 20:43:40 +0000

vkd3d (1.2-11) unstable; urgency=medium

  * Remove incorrectly named man pages.
  * Change libvkd3d-doc section to doc.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 Feb 2022 06:00:20 +0000

vkd3d (1.2-10) experimental; urgency=medium

  * Fix header installation on non-x86 architectures.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 17 Feb 2022 19:01:50 +0000

vkd3d (1.2-9) experimental; urgency=medium

  * Fix architecture dependent libvkd3d-headers build dependency.
  * Use makefile include to import package version string in debian/rules.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Feb 2022 20:23:31 +0000

vkd3d (1.2-8) experimental; urgency=medium

  * Set libvkd3d-doc as the main documentation package (closes: #993570).
  * Add mingw-w64-tools to the architecture independent build dependencies.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Feb 2022 15:49:26 +0000

vkd3d (1.2-7) experimental; urgency=medium

  * Update standards to 4.6.0.
  * Fix stringop-overread warnings.
  * Skip failing tests when using nvidia devices.
  * Skip failing tests when using llvmpipe from mesa 21 (closes: #994186).
  * Fix file conflict between libvkd3d-doc and libvkd3d-dev (closes: #993570).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 04 Feb 2022 01:16:25 +0000

vkd3d (1.2-6) experimental; urgency=medium

  * Fix installation of the header files (closes: #992066).
  * Replace files in libvkd3d-dev with libvkd3d-doc (closes: #992069).
  * Require mesa-vulkan-drivers before version 21 (causes test failures).
  * Include a few suggestions related to troubleshooting driver problems.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Jul 2021 21:54:12 +0000

vkd3d (1.2-5) experimental; urgency=medium

  * Register documentation with doc-base.
  * Update watch file standard to version 4.
  * Use Build-Depends-Arch and Build-Depends-Indep.
  * Remove debian revision from the shader symbols file.
  * Require mingw only when building on x86 architectures.
  * Require libvkd3d-headers only on non-x86 architectures.
  * Provide a useful description in vkd3d-compiler's manpage.
  * Move documentation into new arch:all libvkd3d-doc package.
  * Mark libvkd3d-headers as multi-arch foreign (closes: #990753).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Jul 2021 00:08:45 +0000

vkd3d (1.2-4) experimental; urgency=medium

  * Fix incorrect version string.
  * Generate and install a manpage for vkd3d-compiler.
  * Add new libvkd3d-headers and vkd3d-compiler packages.
  * Move vkd3d-compiler into the vkd3d-compiler package (closes: #983776).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 21 Mar 2021 20:03:39 +0000

vkd3d (1.2-3) experimental; urgency=medium

  * Add texlive-plain-generic to the build dependencies.
  * Add texlive-fonts-recommended to the build dependencies.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 18 Feb 2021 15:47:05 +0000

vkd3d (1.2-2) experimental; urgency=medium

  * Update standards version to 4.5.1.
  * Add texlive-latex-extra to the build dependencies.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 18 Feb 2021 03:52:47 +0000

vkd3d (1.2-1) experimental; urgency=medium

  [ Marc Dequènes ]
  * New upstream release:
    - Remove vulkan1.2.patch: fixed upstream.
    - Refreshed version.patch.
    - Updated symbols files.
    - Add new package libvkd3d-shader1.

  [ Jens Reyer ]
  * Remove myself from Uploaders.

  [ Michael Gilbert ]
  * Update to debhelper 13.
  * Update debian/copyright.
  * Regenerate WIDL header files.
  * Install upstream's documentation files.
  * Install vkd3d-compiler in the dev package.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 07 Feb 2021 22:58:03 +0000

vkd3d (1.1-5) unstable; urgency=medium

  * Include upstream metadata information.
  * Add support for vulkan 1.2 (closes: #963274).
  * Indicate that debian/rules does not require root.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 22 Jun 2020 02:00:46 +0000

vkd3d (1.1-4) unstable; urgency=medium

  * Update to debhelper 12.
  * Update standards version to 4.5.0.
  * Support cross building (closes: #949823).
    - Thanks to Helmut Grohne.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 01 Feb 2020 20:11:47 +0000

vkd3d (1.1-3) unstable; urgency=medium

  [ Jens Reyer ]
  * Update copyright info.
  * Add myself to uploaders.
  * Add Vcs fields to d/control.
  * Add "or later" to license LGPL-2.1.
  * Add Build-Depends-Package field to symbols files.
  * Strip unnecessary signature from upstream signing key.
  * Make build-dependency on libvulkan-dev versioned (closes: #919889).

  [ Michael Gilbert ]
  * Include debian revision in the version string.
  * Add missing vulkan dependency (closes: #921200).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 16 Feb 2019 02:11:35 +0000

vkd3d (1.1-2) unstable; urgency=medium

  * Include new upstream symbol.
  * Update standards version to 4.3.0.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 18 Jan 2019 01:53:38 +0000

vkd3d (1.1-1) unstable; urgency=medium

  * New upstream release.
    - MoltenVK support.
    - Support for geometry shaders.
    - Initial support for placed resources.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 13 Oct 2018 01:03:05 +0000

vkd3d (1.0-6) unstable; urgency=medium

  * Add symbols files.
  * Move demos to misc section.
  * Build with large file support.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 03 Sep 2018 03:22:48 +0000

vkd3d (1.0-5) unstable; urgency=medium

  * Update standards version.
  * Add missing libvkd3d-utils1 dependency (closes: #906191).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 25 Aug 2018 21:22:32 +0000

vkd3d (1.0-4) unstable; urgency=medium

  * Rename libvkd3d1-utils package to libvkd3d-utils1.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 Jun 2018 15:14:10 +0000

vkd3d (1.0-3) unstable; urgency=medium

  * Add manpages for the demos.
  * Append lib to library package names.
  * Append vkd3d to the demo files (closes: #901043).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 Jun 2018 04:08:32 +0000

vkd3d (1.0-2) unstable; urgency=medium

  * Add libx11-dev to the build dependencies.
  * Remove multi-arch from the demos package.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 02 Jun 2018 21:03:23 +0000

vkd3d (1.0-1) unstable; urgency=medium

  * Initial release.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 25 May 2018 02:31:55 +0000
